# Uses of Interface
org.eclipse.microprofile.fault.tolerance.tck.metrics.util.MetricRegistryProxy

Packages that use MetricRegistryProxy
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.metrics.util

## Uses of MetricRegistryProxy in org.eclipse.microprofile.fault.tolerance.tck.metrics.util

Methods in org.eclipse.microprofile.fault.tolerance.tck.metrics.util that return MetricRegistryProxy
Modifier and Type
Method
Description
`MetricRegistryProxy`
MetricRegistryProvider.`getBaseRegistry()`
Constructors in org.eclipse.microprofile.fault.tolerance.tck.metrics.util with parameters of type MetricRegistryProxy
Modifier
Constructor
Description
``
`CounterMetric(MetricRegistryProxy registry, org.eclipse.microprofile.metrics.MetricID metricId)`
``
`GaugeMetric(MetricRegistryProxy registry, org.eclipse.microprofile.metrics.MetricID metricId)`